%define		php_name	php%{?php_suffix}
%define		modname	bitset
Summary:	%{modname} - managing sets of bits
Summary(pl.UTF-8):	%{modname} - obróbka zbiorów bitów
Name:		%{php_name}-pecl-%{modname}
Version:	2.0
Release:	4
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	377e3e3ce071ac10908df8ccdd4a5a26
URL:		http://pecl.php.net/package/bitset/
BuildRequires:	%{php_name}-devel >= 3:5.3.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-bitset < 2.0-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The BitSet library assists by providing a mechanism to manage sets of
bits. This provides a similar API (object-based) to java.util.BitSet
with some PHP-specific flavoring.

The original functions provided under 1.0 are still available, though
deprecated as of 2.0 and will be removed under 3.0.

IMPORTANT: Versions 2.0 and higher of this extension require PHP 5.3+

%description -l pl.UTF-8
Rozszerzenie to jest biblioteką do zarządzania zbiorami bitów w
rozumieniu Teorii Zbiorów.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-bitset.git;a=log;h=auto/th/php-pecl-bitset-2.0-4

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 70a9c48
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> b60faf5
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 9ad53ac
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 71baefb
- up to 2.0

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> b18a907
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 5ad11e1
- use php(core) as dependency to require php version
- release 3 (by relup.sh)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> 3933e24
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9ed3382
- updated to 1.0.1
- license is PHP 3.01

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8c6c0ad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7586c19
- converted to UTF-8

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 6fadcdf
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> d4be9d1
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 88b460f
- rebuild with zts and debug requires

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 918c9fb
- workaround for spec parser having macro undefined yet and not seeing BR

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 1ef78c3
- use new php/zend api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 5c6f662
- ./adapter -s

* Sun Sep 11 2005 Elan Ruusamäe <glen@pld-linux.org> 1401602
- full conf.d support and unifications

* Sat Aug 06 2005 Adam Gołębiowski <adamg@pld-linux.org> f5f9c36
- new

